package org.example.BurjulArabPage;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
//import org.example.BaseTest.LogExecution;
import org.example.NisumSearchPage.NisumPage;
import org.openqa.selenium.By;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.time.Duration;

public class BurjulArabPage {

    WebDriver driver;

    private static final Logger log = LogManager.getLogger(NisumPage.class);

    By searchBox = By.name("q");
     By burjAlArabLink = By.xpath("//a[@href='https://www.jumeirah.com/en/stay/dubai/burj-al-arab-jumeirah']//h3[@class='LC20lb MBeuO DKV0Md']");
   // By burjAlArabLink = By.xpath("//a[@href='https://www.jumeirah.com/en/stay/dubai/burj-al-aras='LC20lb MBeuO DKV0Md']");

    By reserveButton = By.xpath("//button[normalize-space()='RESERVE']");

    public BurjulArabPage(WebDriver driver) {
        this.driver = driver;
    }

    public void searchForText(String text) {
        WebElement searchField = driver.findElement(searchBox);
        searchField.sendKeys(text);
        searchField.submit();
    }

    public void clickBurjAlArabLink() {
        WebDriverWait wait = new WebDriverWait(driver, Duration.ofSeconds(10));
        log.info("Burjul arab Page link");
       // log.error("//a[@href='https://www.jumeirah.com/en/stay/dubai/burj-al-aras='LC20lb MBeuO DKV0Md'] i have found an error");
        WebElement link = wait.until(ExpectedConditions.elementToBeClickable(burjAlArabLink));
        link.click();
    }

    public void clickReserveButton() {
        WebDriverWait wait = new WebDriverWait(driver, Duration.ofSeconds(10));
        WebElement reserveBtn = wait.until(ExpectedConditions.elementToBeClickable(reserveButton));
        ((JavascriptExecutor) driver).executeScript("arguments[0].click();", reserveBtn);
    }

    public void waitForSeconds(int seconds) throws InterruptedException {
        Thread.sleep(seconds * 1000);
    }


//    WebDriver driver;
//    private static final Logger log = LogManager.getLogger(BurjulArabPage.class);
//
//    By searchBox = By.name("q");
//  //  By burjAlArabLink = By.xpath("//a[@href='https://www.jumeirah.com/en/stay/dubai/burj-al-arab-jumeirah']//h3[@class='LC20lb MBeuO DKV0Md']");
//  By burjAlArabLink = By.xpath("//a[@href='https://www.jumeirah.com/en/stay/dubai/burj-al-arab-jumelass='LC20lb MBeuO DKV0Md']");
//
//    By reserveButton = By.xpath("//button[normalize-space()='RESERVE']");
//
//    public BurjulArabPage(WebDriver driver) {
//        this.driver = driver;
//    }
//
//    @LogExecution
//    public void searchForText(String text) {
//        WebElement searchField = driver.findElement(searchBox);
//        searchField.sendKeys(text);
//        searchField.submit();
//    }
//
//    @LogExecution
//    public void clickBurjAlArabLink() {
//        WebDriverWait wait = new WebDriverWait(driver, Duration.ofSeconds(10));
//        WebElement link = wait.until(ExpectedConditions.elementToBeClickable(burjAlArabLink));
//        link.click();
//    }
//
//    @LogExecution
//    public void clickReserveButton() {
//        WebDriverWait wait = new WebDriverWait(driver, Duration.ofSeconds(10));
//        WebElement reserveBtn = wait.until(ExpectedConditions.elementToBeClickable(reserveButton));
//        ((JavascriptExecutor) driver).executeScript("arguments[0].click();", reserveBtn);
//    }
//
//        public void waitForSeconds(int seconds) throws InterruptedException {
//        Thread.sleep(seconds * 1000);
//    }
}
