package org.example.BurjulArabSteps;

import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import io.github.bonigarcia.wdm.WebDriverManager;
import org.example.BurjulArabPage.BurjulArabPage;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

public class BurjulArabSteps {

    WebDriver driver;
    BurjulArabPage burjulArabPage;

    @Given("I am on the Google homepage For Burjul Arab Web")
    public void iAmOnTheGoogleHomePage() {
        WebDriverManager.chromedriver().setup();
        driver = new ChromeDriver();
        driver.manage().window().maximize();
        driver.get("https://www.google.com/");
        burjulArabPage = new BurjulArabPage(driver);
    }

    @When("I search for {string}")
    public void iSearchFor(String searchText) {
        burjulArabPage.searchForText(searchText);
    }

    @When("I click on the link for Burj Al Arab")
    public void iClickOnTheLinkForBurjAlArab() {
        burjulArabPage.clickBurjAlArabLink();
    }

    @When("I click on the reserve button")
    public void iClickOnTheReserveButton() {
        burjulArabPage.clickReserveButton();
    }

    @Then("I wait for {int} seconds on the page")
    public void iWaitForSecondsOnThePage(int seconds) throws InterruptedException {
        burjulArabPage.waitForSeconds(seconds);
        driver.quit();
    }
}
