package org.example.NisumSearchPage;


import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.openqa.selenium.*;
import org.openqa.selenium.interactions.Actions;


public class NisumPage {
    WebDriver driver;

    public NisumPage(WebDriver driver) {
        this.driver = driver;
    }
    private static final Logger log = LogManager.getLogger(NisumPage.class);


    By searchBox = By.name("q");
   // By nisumFirstLink = By.xpath("//a[@href='https://www.nisum.com/'][normalize-space()='Nisum | A Technology Consulting Partner']");
   By nisumFirstLink = By.xpath("//a[@href='https://www.nisum.com/']//h3[@class='LC20lb MBeuO DKV0Md'][normalize-space()='Nisum | A Technology Consulting Partner']");
    By globalCareersBtn = By.xpath("//span[@class='mega-drop-4 loaded']");

    public void searchForText(String searchText) {
        WebElement searchField = driver.findElement(searchBox);
        searchField.sendKeys(searchText);
        searchField.submit();
    }


    public void clickFirstLink() {
      //  log.error("locator of nisum link is incorrect //a[@href='https://www.nisum.com/'][normalize-space()='Nisum | A Technology Consulting Partner']");
        WebElement firstLink = driver.findElement(nisumFirstLink);
        firstLink.click();
    }

    public void hoverOverGlobalCareers() {
        try {
            log.info("Attempting to hover over the Global Careers button.");

            WebElement globalCareers = driver.findElement(globalCareersBtn);
            Actions actions = new Actions(driver);

            actions.moveToElement(globalCareers).perform();
            log.info("Hovered over the Global Careers button.");
        } catch (Exception e) {
            // log.error("Error occurred while attempting to hover over the Global Careers button: " + e.getMessage());
        }
    }

    public void clickContact() {
       driver.findElement(By.xpath("//a[@class='cta_buttona btn-darka cta-primarya cta-gradient menu-trigger-cta ml-md-3 test']")).click();
    }
}
