package org.example.NisumSearchSteps;

import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import io.github.bonigarcia.wdm.WebDriverManager;
import org.example.NisumSearchPage.NisumPage;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

import java.util.Objects;

public class NisumSteps {

    WebDriver driver;
    NisumPage nisumPage;

    @Given("I am on the Google homepage")
    public void iAmOnTheGoogleHomepage() {
        WebDriverManager.chromedriver().setup();
        driver = new ChromeDriver();
        driver.manage().window().maximize();
        driver.get("https://www.google.com/");
        nisumPage = new NisumPage(driver);
    }

    @When("I search for {string}")
    public void iSearchFor(String searchText) {
        nisumPage.searchForText(searchText);
    }

    @When("I click on the first link of Nisum website")
    public void iClickOnTheFirstLinkOfNisumWebsite() {
        nisumPage.clickFirstLink();
    }

    @When("I hover on the Global Careers button")
    public void iClickOnTheGlobalCareersButton() {
        nisumPage.hoverOverGlobalCareers();
    }

    @When("I click on Contact us button")
    public void iClickOnThePakistanCareersButton() {
        nisumPage.clickContact();
    }

    @Then("I should be redirected to the Pakistan careers page")
    public void iShouldBeRedirectedToThePakistanCareersPage() {
        assert(Objects.requireNonNull(driver.getCurrentUrl()).contains("pakistan"));
        driver.quit();
    }
}
