package org.example.OpenAI;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public class Main {

    public static void main(String[] args) {
        String logFilePath = "/Users/arsamali/Documents/IdeaProjects/POC-Arsam/src/main/resources/log4j3-error.log";

        LogParser logParser = new LogParser();
        List<String> errorLogs = logParser.extractErrors(logFilePath);

        OpenAISuggestions openAI = new OpenAISuggestions();

        for (String errorLog : errorLogs) {
            System.out.println("Error: " + errorLog);

            try {
                Map<String, Object> suggestions = openAI.getSuggestions(errorLog);
                System.out.println("OpenAI Suggestions: " + suggestions.get("suggestion"));
            } catch (IOException e) {
                e.printStackTrace();
            }

            System.out.println("-------------------------------");
        }
    }
}
